package test.example;

import java.util.Map;

import org.apache.struts2.util.StrutsTypeConverter;

public class EntityConverter extends StrutsTypeConverter {

	@Override
	public Object convertFromString(Map context, String[] values, Class toClass) {
		if (values != null && values.length > 0) {
			Entity entity = new Entity();
			entity.setId(Integer.parseInt(values[0]));
			return entity;
		}
		return null;
	}

	@Override
	public String convertToString(Map context, Object o) {
		if (o != null) {
			return "" + ((Entity) o).getId();
		}
		return null;
	}

	@Override
	public Object convertValue(Map context, Object o, Class toClass) {
		if (toClass == Entity.class) {
			return convertFromString(context, new String[] { o.toString() }, toClass);
		}
		return super.convertValue(context, o, toClass);
	}
}